Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3859)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3860)
@@ -192,7 +192,7 @@
 		try {
 			Log.fine(RCoreMessages.bind(RCoreMessages.info_connectingToRAt, host, port));
 			connection = new RConnection(host, port);
-			connection.setStringEncoding("utf8"); // mandatory !
+			connection.setStringEncoding("utf8"); // mandatory ! //$NON-NLS-1$
 			return isConnected();
 		}
 		catch (RserveException x) {
@@ -215,7 +215,7 @@
 			Log.fine(TXMCoreMessages.bind(RCoreMessages.info_connectingToRAtWithUser, new Object[] { host, port, user }));
 			connection = new RConnection(host, port);
 			connection.login(user, password);
-			connection.setStringEncoding("utf8"); // mandatory !
+			connection.setStringEncoding("utf8"); // mandatory ! //$NON-NLS-1$
 			return isConnected();
 			
 		}
@@ -255,7 +255,7 @@
 			// TODO: this method uses the right directory ?
 			// Bundle bundle = FrameworkUtil.getBundle(RWorkspace.class);
 			// File userdir = new File(bundle.getLocation());
-			File userDir = new File(Toolbox.getTxmHomePath(), "R");
+			File userDir = new File(Toolbox.getTxmHomePath(), "R"); //$NON-NLS-1$
 			// System.out.println("BUNDLE LOCATION OF '" + bundle.getSymbolicName() + "': " + userDir);
 			workspace = new RWorkspace(userDir);
 		}
@@ -394,7 +394,7 @@
 	 * @throws StatException the stat exception
 	 */
 	public File plot(File file, String expr) throws REXPMismatchException, StatException, RserveException {
-		return plot(file, expr, "svg");
+		return plot(file, expr, "svg"); //$NON-NLS-1$
 	}
 	
 	/**
@@ -419,13 +419,13 @@
 			
 			String path;
 			if (OSDetector.isFamilyWindows()) {
-				path = file.getCanonicalPath().replaceAll("\\\\", "/");
+				path = file.getCanonicalPath().replaceAll("\\\\", "/"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			else {
 				path = file.getAbsolutePath();
 			}
 			
-			if (devicename.equals("devSVG")) safeEval("library(RSvgDevice);");
+			if (devicename.equals("devSVG")) safeEval("library(RSvgDevice);"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			// FIXME : test for window dimensions so the large plots can be entirely displayed. Need to pass width and height to RWorkspace.plot() so
 			// RChartsEngine will be able to dynamically compute the width from the number of bars in a barplot for example.
@@ -1142,7 +1142,7 @@
 		}
 		catch (RserveException e) {
 			RWorkspace.printLastSafeEvalExpr();
-			throw new RWorkspaceException(e.getMessage()+ "; " +exp.trim(), e);
+			throw new RWorkspaceException(e.getMessage()+ "; " +exp.trim(), e); //$NON-NLS-1$
 		}
 		catch (Exception e) {
 			throw new RException(e.getMessage()+ "; " +exp.trim(), e); //$NON-NLS-1$
@@ -1340,13 +1340,13 @@
 	public void initializeRWorkspaceConnectionConfiguration(SystemProxyDetector conf) throws RserveException {
 		
 		// reduce time out
-		Log.fine("Setting R connection time out to 3 seconds.");
+		Log.fine("Setting R connection time out to 3 seconds."); //$NON-NLS-1$
 		this.getConnection().eval("options(timeout = 3);"); //$NON-NLS-1$
 		
 		// configure the HTTP proxy
 		if (conf.isSystemProxyDetected()) {
 			String proxyUrl = conf.getHttpProxyUrl();
-			Log.fine("Setting R proxy configuration from system proxy configuration to: " + proxyUrl);
+			Log.fine("Setting R proxy configuration from system proxy configuration to: " + proxyUrl); //$NON-NLS-1$
 			this.getConnection().eval("Sys.setenv(http_proxy=\"" + proxyUrl + "\")"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 	}
@@ -1403,18 +1403,18 @@
 				System.out.println("TXM R workspace directory not found: " + userdir);
 			}
 			else {
-				Log.fine("Setting TXM R workspace directory: " + userdir.getAbsolutePath());
+				Log.fine("Setting TXM R workspace directory: " + userdir.getAbsolutePath()); //$NON-NLS-1$
 				connection.eval("setwd(\"" + userdir.getAbsolutePath().replace("\\", "/") + "\")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 			
 			// set the libraries directory to install new R packages
-			File RLibrariesWorkspaceDirectory = new File(userdir, "libraries");
+			File RLibrariesWorkspaceDirectory = new File(userdir, "libraries"); //$NON-NLS-1$
 			RLibrariesWorkspaceDirectory.mkdir();
 			if (!RLibrariesWorkspaceDirectory.exists()) {
 				System.out.println("TXM R libraries workspace directory not found: " + RLibrariesWorkspaceDirectory);
 			}
 			else {
-				Log.fine("Setting TXM R libraries workspace directory: " + RLibrariesWorkspaceDirectory.getAbsolutePath());
+				Log.fine("Setting TXM R libraries workspace directory: " + RLibrariesWorkspaceDirectory.getAbsolutePath()); //$NON-NLS-1$
 				connection.eval(".libPaths(c(\"" + RLibrariesWorkspaceDirectory.getAbsolutePath().replace("\\", "/") + "\",.libPaths()))");//$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 			
@@ -1425,7 +1425,7 @@
 			// set the default R repository
 			String repos = RPreferences.getInstance().getString(RPreferences.DEFAULT_REPOS);
 			if (repos.length() > 0) {
-				Log.fine("Set the 'repos' R option to " + repos);
+				Log.fine("Set the 'repos' R option to " + repos); //$NON-NLS-1$
 				connection.eval("options(repos=\"" + repos + "\")");//$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
@@ -1543,7 +1543,7 @@
 		}
 		lastSafeevalExpr = expr;
 		
-		expr = "try({" + expr + "}, silent=FALSE)";
+		expr = "try({" + expr + "}, silent=FALSE)"; //$NON-NLS-1$ //$NON-NLS-2$
 		
 		if (isLoggingEvalCommandLines()) {
 			// TODO SJ: for debuggin puprose
@@ -1564,7 +1564,7 @@
 			throw e;//new RException(expr, e.getMessage());
 		}
 		finally {
-			if (r != null && r.inherits("try-error")) {
+			if (r != null && r.inherits("try-error")) { //$NON-NLS-1$
 				throw new RException(expr, r.asString());
 			}
 		}
@@ -1608,33 +1608,33 @@
 			
 			if (ret instanceof org.rosuda.REngine.REXPString) {
 				if (ret.isVector()) {
-					out = "result: " + StringUtils.join(ret.asStrings(), ", ");
+					out = "result: " + StringUtils.join(ret.asStrings(), ", "); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
-					out = "result: " + ret.asString();
+					out = "result: " + ret.asString(); //$NON-NLS-1$
 				}
 			}
 			else if (ret instanceof org.rosuda.REngine.REXPDouble) {
 				if (ret.isVector()) {
-					out = "result: " + ret.asDouble();
+					out = "result: " + ret.asDouble(); //$NON-NLS-1$
 				}
 				else {
-					out = "result: " + Arrays.toString(ret.asDoubles());
+					out = "result: " + Arrays.toString(ret.asDoubles()); //$NON-NLS-1$
 				}
 			}
 			else if (ret instanceof org.rosuda.REngine.REXPInteger) {
 				if (ret.isVector()) {
-					out = "result: " + ret.asInteger();
+					out = "result: " + ret.asInteger(); //$NON-NLS-1$
 				}
 				else {
-					out = "result: " + Arrays.toString(ret.asIntegers());
+					out = "result: " + Arrays.toString(ret.asIntegers()); //$NON-NLS-1$
 				}
 			}
 			else if (ret instanceof org.rosuda.REngine.REXPNull) {
-				out = "NULL";
+				out = "NULL"; //$NON-NLS-1$
 			}
 			else {
-				out = "result: " + ret;
+				out = "result: " + ret; //$NON-NLS-1$
 			}
 			
 		}
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 3859)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/preferences/RPreferences.java	(revision 3860)
@@ -70,7 +70,7 @@
 	 */
 	public static final String SHOW_EVAL_LOGS = "show_eval_logs"; //$NON-NLS-1$
 	
-	public static final String DEFAULT_REPOS = "default_repos";
+	public static final String DEFAULT_REPOS = "default_repos"; //$NON-NLS-1$
 	
 	
 	/**
@@ -96,9 +96,9 @@
 		
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
-		String RFRAGMENT = "org.txm.statsengine.r.core." + System.getProperty("osgi.os"); //$NON-NLS-1$
+		String RFRAGMENT = "org.txm.statsengine.r.core." + System.getProperty("osgi.os"); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		Log.fine("RPreferences.initializeDefaultPreferences()");
+		Log.fine("RPreferences.initializeDefaultPreferences()"); //$NON-NLS-1$
 		
 		String saved = this.getString(RPreferences.VERSION);
 		Version currentVersion = BundleUtils.getBundleVersion(RFRAGMENT); // the RFRAGMENT plugin contains the right version
@@ -107,10 +107,10 @@
 		String os = ""; //$NON-NLS-1$
 		String ext = ""; //$NON-NLS-1$
 		String osName = System.getProperty("os.name").toLowerCase(); //$NON-NLS-1$
-		String extraSubPath = "";
+		String extraSubPath = ""; //$NON-NLS-1$
 		if (osName.contains("windows")) { //$NON-NLS-1$
 			os = "win32"; //$NON-NLS-1$
-			extraSubPath = "x64/";
+			extraSubPath = "x64/"; //$NON-NLS-1$
 			ext = ".exe"; //$NON-NLS-1$
 		}
 		else if (osName.contains("mac")) { //$NON-NLS-1$
@@ -131,7 +131,7 @@
 		File rRootDir = new File(rpluginDir, os);
 		File execFile = new File(rRootDir, "bin/" + extraSubPath + "R" + ext); //$NON-NLS-1$ //$NON-NLS-2$
 		File execFile2 = new File(rRootDir, "bin/exec/" + extraSubPath + "R" + ext); //$NON-NLS-1$ //$NON-NLS-2$
-		if (osName.contains("windows")) { // R second exec file path is different
+		if (osName.contains("windows")) { // R second exec file path is different //$NON-NLS-1$
 			execFile2 = new File(rRootDir, "bin/x64/" + extraSubPath + "R" + ext); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		if (!execFile.canExecute() && !execFile.setExecutable(true)) { // first test if file is executable then try setting it executable
@@ -167,20 +167,20 @@
 			return;
 		}
 		
-		preferences.put(DEFAULT_REPOS, "https://cloud.r-project.org");
+		preferences.put(DEFAULT_REPOS, "https://cloud.r-project.org"); //$NON-NLS-1$
 		preferences.put(PATH_TO_EXECUTABLE, execFile.getAbsolutePath());
 		preferences.putBoolean(IS_MANDATORY, false);
-		preferences.put(SERVER_ADDRESS, "127.0.0.1");
+		preferences.put(SERVER_ADDRESS, "127.0.0.1"); //$NON-NLS-1$
 		preferences.putBoolean(REMOTE, false);
 		preferences.putBoolean(DISABLE, false);
 		preferences.putBoolean(DEBUG, false);
-		preferences.put(PORT, "6311");
-		preferences.put(USER, "");
-		preferences.put(PASSWORD, "");
-		preferences.put(RARGS, "");
-		preferences.put(RSERVEARGS, "");
+		preferences.put(PORT, "6311"); //$NON-NLS-1$
+		preferences.put(USER, ""); //$NON-NLS-1$
+		preferences.put(PASSWORD, ""); //$NON-NLS-1$
+		preferences.put(RARGS, ""); //$NON-NLS-1$
+		preferences.put(RSERVEARGS, ""); //$NON-NLS-1$
 		preferences.putBoolean(FILE_TRANSFERT, false);
-		preferences.put(SVG_DEVICE, "svg");
+		preferences.put(SVG_DEVICE, "svg"); //$NON-NLS-1$
 		preferences.putBoolean(SHOW_EVAL_LOGS, false);
 		
 		if (saved != null && saved.length() > 0) {
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 3859)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/data/MatrixImpl.java	(revision 3860)
@@ -372,10 +372,10 @@
 		try {
 			// // cut nlines
 			if (before != after) {
-				REXP r = rw.eval(symbol + "<- " + symbol + "[" + before + ":" + (after) + ", ];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				REXP r = rw.eval(symbol + "<- " + symbol + "[" + before + ":" + (after) + ", ];"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 			else {
-				REXP r = rw.eval(symbol + "<- " + "as.matrix(" + symbol + "[" + before + ", ]);"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				REXP r = rw.eval(symbol + "<- " + "as.matrix(" + symbol + "[" + before + ", ]);"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			}
 			// getRowNames().cut(before, after);
 			// this.nrow = nlines;
@@ -700,15 +700,15 @@
 						values[i-1] = 0;
 					}
 				}
-				System.out.println("values="+Arrays.toString(values));
-				rw.addVectorToWorkspace("tmpvec", values);
-				rw.voidEval("tmpmat <- rbind(tmpmat, tmpvec);");
+				System.out.println("values="+Arrays.toString(values)); //$NON-NLS-1$
+				rw.addVectorToWorkspace("tmpvec", values); //$NON-NLS-1$
+				rw.voidEval("tmpmat <- rbind(tmpmat, tmpvec);"); //$NON-NLS-1$
 			}
-			rw.voidEval("tmpmat <- tmpmat[-1,];"); // $NON-NLS-1$ remove the null first line
+			rw.voidEval("tmpmat <- tmpmat[-1,];"); // $NON-NLS-1$ remove the null first line //$NON-NLS-1$
 			rw.addVectorToWorkspace("tmprownames", rownames.toArray(new String[rownames.size()])); //$NON-NLS-1$
-			rw.addVectorToWorkspace("tmpcolnames", rheader);
-			rw.assignRowNamesToMatrix("tmpmat", "tmprownames");
-			rw.assignColNamesToMatrix("tmpmat", "tmpcolnames");
+			rw.addVectorToWorkspace("tmpcolnames", rheader); //$NON-NLS-1$
+			rw.assignRowNamesToMatrix("tmpmat", "tmprownames"); //$NON-NLS-1$ //$NON-NLS-2$
+			rw.assignColNamesToMatrix("tmpmat", "tmpcolnames"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			rw.voidEval(symbol + "<- tmpmat;"); //$NON-NLS-1$
 			//rw.voidEval("rm(tmpmat);"); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3859)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3860)
@@ -126,10 +126,10 @@
 
 				Log.finer(TXMCoreMessages.bind("Registering R transformer: {0}...", transformer));
 
-				transformers.put(contributions[i].getAttribute("type"), transformer);
+				transformers.put(contributions[i].getAttribute("type"), transformer); //$NON-NLS-1$
 			}
 			catch (Exception e) {
-				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
+				Log.severe("Error: failed to instantiate " + contributions[i].getName() + "."); //$NON-NLS-2$
 				e.printStackTrace();
 			}
 		}
@@ -162,7 +162,7 @@
 
 			try {
 				if (StartRserve.rProcess != null) {
-					Log.finest("Quitting R process...");
+					Log.finest("Quiting R process..."); //$NON-NLS-1$
 					StartRserve.rProcess.destroy();
 				}
 			}
@@ -180,17 +180,17 @@
 					File f = new File(execName);
 					// only use taskkill if the process is running
 					
-					String cmd = "tasklist | find /i \""+f.getName()+"\" && taskkill /IM "+f.getName()+" /F"; //$NON-NLS-1$
+					String cmd = "tasklist | find /i \""+f.getName()+"\" && taskkill /IM "+f.getName()+" /F"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					//String cmd = "cmd /c FOR /F \"tokens=5 delims= \" %P IN ('netstat -ano ^| findstr :6330 ^| findstr LISTENING') DO taskkill /F /PID %P"; //$NON-NLS-1$
-					Log.finest("Executing command: " + cmd);
+					Log.finest("Executing command: " + cmd); //$NON-NLS-1$
 
 					Process p = Runtime.getRuntime().exec(cmd);
 
 					// consumes streams
 					StreamHog errStream = new StreamHog(p.getErrorStream(), true);
-					errStream.setName("ts-kill-r-err");
+					errStream.setName("ts-kill-r-err"); //$NON-NLS-1$
 					StreamHog inStream = new StreamHog(p.getInputStream(), true);
-					inStream.setName("ts-kill-r");
+					inStream.setName("ts-kill-r"); //$NON-NLS-1$
 
 					p.waitFor();
 					started = false;
@@ -199,7 +199,7 @@
 					try {
 
 						String cmd = NLS.bind("cmd /c FOR /F \"tokens=5 delims= \" %P IN (''netstat -ano ^| findstr :{0} ^| findstr LISTENING'') DO tskill %P", RPreferences.getInstance().getInt(RPreferences.PORT)); //$NON-NLS-1$
-						Log.finest("Executing command: " + cmd);
+						Log.finest("Executing command: " + cmd); //$NON-NLS-1$
 
 						Process p = Runtime.getRuntime().exec(
 								//"tskill Rserve.exe"); //$NON-NLS-1$
@@ -264,6 +264,6 @@
 
 	@Override
 	public String getName() {
-		return "R";
+		return "R"; //$NON-NLS-1$
 	}
 }
